<template>
  <div class="flex flex-col justify-between w-full sm:flex-row" style="width:100%;">
    <div class="table-default" style="width:100%;">
      <el-table :data="tableData" class="w-full mt-3" style="width:100%;">
        <el-table-column prop="watch_at" label="时间" />
        <el-table-column prop="video_id" label="短剧ID">
        </el-table-column>
        <el-table-column prop="video_name" label="短剧名称" />
        <el-table-column prop="video_series_sequence" label="章节名称" />
      </el-table>
      <Paginate />
    </div>
  </div>
</template>

<script lang="ts" setup>
import { useGetList } from '@/hook/curd/useGetList';
import { useOpen } from '@/hook/curd/useOpen';
import { FormInstance } from 'element-plus';
import { tuiguangPromotionAdd } from '@/api/promotion/index'
const api = 'channel/wechat_min_user/watch_record';
const props = defineProps({
  primary: Object,
});
const { data, query, search, reset, loading } = useGetList(api);
if (props.primary) {
  query.value.uid = props.primary.uid
}
const tableData = computed(() => data.value?.data);

onMounted(() => {
  search();
});
</script>

<style lang="scss" scoped>

</style>
